%define upstream_name    Gtk2-Spell
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl module for the gtkspell library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://ovh.dl.sourceforge.net/sourceforge/gtk2-perl/%upstream_name-%upstream_version.tar.gz
Patch0:     Gtk2-Spell-1.04-minimum_require.diff

BuildRequires: pkgconfig(gtkspell-2.0) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Glib
BuildRequires: perl-Gtk2
BuildRequires: perl-devel
Requires:   gtk+2

%{?perl_default_filter}

%description
This module provides perl access to the gtkspell library.

The GtkSpell graphical user interface library allow to write applications that
highlight mis-spelled words.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .minreq
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/Gtk2/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-13.mga6
+ Revision: 1028119
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.40.0-12.mga6
+ Revision: 957452
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.40.0-11.mga6
+ Revision: 843407
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-10.mga5
+ Revision: 742767
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.40.0-9.mga5
+ Revision: 732236
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-8.mga5
+ Revision: 684915
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.40.0-7.mga5
+ Revision: 632272
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-6.mga4
+ Revision: 524304
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.40.0-5.mga4
+ Revision: 430722
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 1.40.0-4.mga3
+ Revision: 389369
- cleanup br

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-3.mga3
+ Revision: 367929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.40.0-2.mga3
+ Revision: 250746
- rebuild for perl 5.16

* Fri Jan 06 2012 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 192535
- adding missing buildrequires:
- update to 1.04

  + fwang <fwang>
    - rebuild

* Sun Jun 12 2011 ahmad <ahmad> 1.30.0-3.mga2
+ Revision: 104478
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 1.30.0-2.mga1
+ Revision: 36347
- mageia rebuild
- imported package perl-Gtk2-Spell

